Bug 18005 - "Upgraded" to older version
Summary: "Upgraded" to older version
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard: Florence RC-2
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-01 09:09 UTC by Jamie Manley
Modified: 2007-04-18 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 21:20:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jamie Manley 2000-10-01 09:09:10 UTC
After an upgrade from 6.2 to 7.0, I noticed that the installer had
"upgraded" me from gnupg-1.0.3-1 to gnupg-1.0.2-4.

I also was moved from Helixcode's gnome packages to Redhat's, which was not
a problem by itself, but it did involve downgrading a couple of packages.
I *think* that packages automatically included, such as those needed to
satisfy dependencies are upgraded without checking for versions.

Comment 1 Michael Fulbright 2000-10-02 22:32:39 UTC
The Helix packages will be upgraded to the Red Hat packages - this is known
behavior.

Was the previous gnupg installed via a package?  The installer should not have
replaced it if it was.

Comment 2 Jamie Manley 2000-10-03 05:58:49 UTC
Yes, the helix to redhat Gnome changes were not a surprise.  I had installed
gnupg-1.0.3 via RPM, as well as e2fsprogs-1.19.0 and was downgraded to the
versions released with 7.0.
I believe there are others, including some of the gnome libraries (although an
argument can be made that gnome has to be consistent).

Comment 3 Matt Wilson 2000-10-03 12:22:51 UTC
I believe that you will find that any packages downgraded during the upgrade
process were in the Base component in RedHat/base/comps - I will investigate to
see if that package set is being accidently turned on during upgrades.


Comment 4 Matt Wilson 2001-02-08 21:22:28 UTC
should be fixed by my cvs commit last night.



Note You need to log in before you can comment on or make changes to this bug.